Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSVirtualRoom Class Reference

Virtual room configured for user. More...

`#import <CSVirtualRoom.h>`

Inherits NSObject.

## Instance Methods
(instancetype) | - initWithRoomId:roomName:roomDescription:publicRoom:defaultRoom:roomNumber:roomAccessPIN:roomModeratorPIN::extraProperties:

## Properties
NSString * | roomId
| Id of the virtual room. More...
NSString * | roomName
| Name of the virtual room. More...
NSString * | roomDescription
| Description of the virtual room. More...
BOOL | publicRoom
| A boolean value indicating whether this VR is public. More...
BOOL | defaultRoom
| A boolean value indicating whether this is default VR for the user. More...
NSString * | roomNumber
| Virtual room number. More...
NSString * | roomAccessPIN
| Virtual room PIN. More...
NSString * | roomModeratorPIN
| Virtual room moderator PIN. More...
BOOL | oneTimePinRequired
| A boolean value indicating whether the one time PIN is required. More...
NSDictionary * | extraProperties
| A dictionary of extra properties the application may be interested in. More...

## Detailed Description

Virtual room configured for user.

## Method Documentation

- (instancetype) initWithRoomId: |  | (NSString *) | roomId
roomName: |  | (NSString *) | roomName
roomDescription: |  | (NSString *) | roomDescription
publicRoom: |  | (BOOL) | publicRoom
defaultRoom: |  | (BOOL) | defaultRoom
roomNumber: |  | (NSString *) | roomNumber
roomAccessPIN: |  | (NSString *) | roomAccessPIN
roomModeratorPIN: |  | (NSString *) | oneTimePinRequired
: |  | (BOOL) | oneTimePinRequired
extraProperties: |  | (NSDictionary *) | extraProperties

## Property Documentation

- (BOOL) defaultRoom
| read nonatomic assign

A boolean value indicating whether this is default VR for the user.

- (NSDictionary*) extraProperties
| read nonatomic assign

A dictionary of extra properties the application may be interested in.

Complex property values are JSON encoded strings.

- (BOOL) oneTimePinRequired
| read nonatomic assign

A boolean value indicating whether the one time PIN is required.

- (BOOL) publicRoom
| read nonatomic assign

A boolean value indicating whether this VR is public.

- (NSString*) roomAccessPIN
| read nonatomic assign

Virtual room PIN.

- (NSString*) roomDescription
| read nonatomic assign

Description of the virtual room.

- (NSString*) roomId
| read nonatomic assign

Id of the virtual room.

- (NSString*) roomModeratorPIN
| read nonatomic assign

Virtual room moderator PIN.

- (NSString*) roomName
| read nonatomic assign

Name of the virtual room.

- (NSString*) roomNumber
| read nonatomic assign

Virtual room number.

The documentation for this class was generated from the following file:

- CSVirtualRoom.h